SK Woof-CE puppy-k (saját készítésű)

Pupletek, Új puppy változatok, veruiók, ISO fájlok,
NTamas
Hozzászólások: 1712
Csatlakozott: 2014.06.19. 13:36

Re: SK Woof-CE puppy-k (saját készítésű)

Hozzászólás Szerző: NTamas »

Már tegnap bejelzett a beépített 32 bites 28.9.0.2-es Palemoon, hogy van új verzió, frissíteni kéne, erre csak ma jutott idő, simán lehozta a frissítést, kb.46MB-ot, és probléma nélkül lefrissítette magát.
Kép

A BullseyePup csomagkezelőjéből meg simán feltehető egy 32 bites Firefox 68.6.0esr verzió, a hozzávaló magyar nyelvi kiegészítéssel együtt.
Kép

NTamas
Hozzászólások: 1712
Csatlakozott: 2014.06.19. 13:36

Re: SK Woof-CE puppy-k (saját készítésű)

Hozzászólás Szerző: NTamas »

A focalpup64 csomagkezelőjében már jelen lévő újabb vlc verzió megjelent a BullseyePup 9.0.0 csomagkezelőjében is, érdemes ráfrissíteni, jobb, mint a puppyban eredetileg benne lévő 3.08-as verzió.

Kép

NTamas
Hozzászólások: 1712
Csatlakozott: 2014.06.19. 13:36

Re: SK Woof-CE puppy-k (saját készítésű)

Hozzászólás Szerző: NTamas »

Kép

Ez a lentebb linkelt új VLC verzió (pet és sfs) kimondottan a csomag nevében is jelzett 32 bites BullseyePup_9.0.0 és az újabb,_BullseyePup32-Lite puppy verziókhoz készült! - ehhez a puppy verziókhoz való néhány függőségi fájlok is a csomag részei, akárcsak a 6MB-s GM SoundFont sf fájl is,(timgm6mb-soundfont_1.3-3_all.deb) így a telepített VLC-vel azonnal (a lejátszó beálításában a sound sf2 file hozzáadása után) lejátszhatunk midi fájlokat is.

A verzióspecifikus fájlok miatt a pet csomagot ezért csak a jelzett puppy verziót használók telepítsék, más 32 bites puppyt használók esetleg az sfs fájlal tehetnek egy próbát.

vlc_3.0.10-1-x86_BullseyePup-9.0.0-x86.pet
https://yadi.sk/d/du7CieLFqMgMrQ
vlc_3.0.10-1-x86_BullseyePup-9.0.0-x86.sfs
https://yadi.sk/d/eZPuhdDF0dUVkw

ticoo1
Hozzászólások: 550
Csatlakozott: 2014.10.21. 08:58

Re: SK Woof-CE puppy-k (saját készítésű)

Hozzászólás Szerző: ticoo1 »

Üdv!

Kicsit frissítettem a „bullseyepup_9.0.0-et, így lett belőle ...T2-es változat (T2= teszt 2).
A T2-esbe belekerült az SMTube -- köszönet „janugsa"-nak -- és pluszba egy-két lejátszó. Nem raktam bele SMPlayer-t (VLC benne van), de bárki telepítheti. A Kernel maradt a K-3.18.22-es huge.

A lényeg az, hogy továbbra is azt tesztelhessük, hogy régebbi, esetenként egymagos gépekkel hogyan működik. Az SMTube indításakor telepíteni fogja a „youtube-dl"-t és frissíti a YouTube kódot. A YouTube használatakor, a képekre kattintsunk a jobb egérgombbal és válasszuk ki valamelyik lejátszót. Itt ugye az a teszt, hogy megtaláljuk azon lejátszót, mely a legkevesebb RAM-ot igényli, s kevésbé terheli (kergeti) a processzort. (HT-s, vagy 2 magos cpu esetében nincs különösebb jelentősége, ekkor a videó kártya lesz a meghatározó.)
T2-1.jpg
T2-1.jpg (171.19 KiB) Megtekintve 365 alkalommal
T2-2.jpg
T2-2.jpg (162.18 KiB) Megtekintve 365 alkalommal
T2-3.jpg
T2-3.jpg (176.25 KiB) Megtekintve 365 alkalommal

ticoo1
Hozzászólások: 550
Csatlakozott: 2014.10.21. 08:58

Re: SK Woof-CE puppy-k (saját készítésű)

Hozzászólás Szerző: ticoo1 »

Folytatás:

Tettem fel egy „Irodai“ és egy DOSBox-wine“ iso-t is.

Az irodaiba az LbOffice-6.2.8.2 csomag van, természetesen az Abiword-Gnumeric kettős kikerült belőle. Az office felfogja ajánlani a frissítést, de ez nem lehetséges, mert az újabbak már csak 64 bitesben vannak, vagyis részünkre tárgytalan.

A DOSBox-wine összeállítás is csak a teszt célját szolgálja, wine-5.9_v3.1 van benne. Ha a wine ezen verziója valakinek nem jó, akkor célszerű másikat telepíni helyette. A dos-os programokat a /root/DOS-ba célszerű elhelyezni, hogy „vc“ (Volkov Commander) lássa.
Iroda.jpg
Iroda.jpg (144.34 KiB) Megtekintve 362 alkalommal
DOSBox-wine.jpg
DOSBox-wine.jpg (217.87 KiB) Megtekintve 362 alkalommal
Itt vannak: https://sourceforge.net/projects/puppys ... oof-CE/32/

Kedves "pfeco"!

Lenne egy kérésem, légy szíves nézd meg a bullseyepup64-et, mert sajnos nem indul el a grafikus felület, s nem csak nálam. Ha mégis valahogy "rábeszélem", akkor meg nincs billentyűzet és egér. Én vezeték nélküli eszközöket használok, a többi 64 bites rendben fut. Köszönöm.

NTamas
Hozzászólások: 1712
Csatlakozott: 2014.06.19. 13:36

Re: SK Woof-CE puppy-k (saját készítésű)

Hozzászólás Szerző: NTamas »

ticoo1 írta:
2020.07.31. 12:10
...csak a teszt célját szolgálja, wine-5.9_v3.1 van benne. Ha a wine ezen verziója valakinek nem jó, akkor célszerű másikat telepíni helyette ...
A jelzett pet csomag -wine-5.9_v3.1- helyett az ugyanonnan letölthető pár hónappal ezelőtti wine verzió, a wine-5.1_v3.2.pet(55MB)
lett feltelepítve a régebbi Bullseye Pup-9.0.0-ra, és ez rendben működik, egyetlen probléma a pet kibontása, és a telepítése utáni helyfoglalása!
Kép

A fentebb említett újabb -wine-5.9_v3.1- wine verzió már valamivel kevesebb helyet foglal el a telepítése után.
Kép

Ez azért van, mert az újabb wine verzióhoz telepítésekor letölthető wine mono installer file v5.0.0 mérete 76MB, míg a régebbi wine_5.1_v3.2.pet-hez letölthető mono-installer már 98MB méretű fájlt hoz le, ez értelemszerűen kibontva is nagyobb helyfoglalást eredményez.

Számoljunk csak kicsit: (a régebbi wine_5.1_v3.2pet csomagot véve alapul)
a pet telepítő eleve 55MB méretű, ez kibontva(telepítve) 370MB méretű területet igényel, és ebben még nincs benne a telepíthető mono-installer és a wine gecko installer file telepítéséhez szükséges hely mérete!(ez utóbbi, a wine gecko telepítő fájl mindkét pet esetében közel azonos méretet ad ki, kb 49MB méretű a telepítő fájl)
Szóval, azért, hogy egy-két kedvenc kis windowsos programot tudjunk futtatni, kb.450-500MB szabad területet kell tudni biztosítani a wine-nek, verziószámtól függően. És ez sok, szerintem nagyon sok! - igaz mindkét wine verzió esetében már a W7 az alap telepítésre beállított Windows verzió,
Kép
de akkor is sok. Nemrég egy jól felszerelt puppy telepítő mérete volt ennyi, ma meg csak egy wine mérete ez. Mindenesetre a régebbi Bullseye Pup9.0.0-n a wine_5.1_v3.2 feltelepítése után jól megy a kedvenc Windowsos rádió programom, a RadioSure!
Kép

De mindkét Wine verzióval gond van, ugyanis nincsen bennük a puppy-ba, annak menüjébe illesztéshez szükséges desktop fájl.(lok) Ez pedig hiba, mert a kezdő puppys nem biztos, hogy tudni fogja így, csak terminálból kezelni a wine-t.
Nem tudom, ki készítette mindkét wine verziót, de igazán benne hagyhatta volna a menühöz illesztéshez szükséges dektop fájlokat. Ezeket szükség esetén a régi, jól bevált wine telepítőből -én a wine-1.4.1 telepítőjéből- bányásztam ki.
Kép
A kép balodalán a wine-1.4.1 telepítője látható, és abban, az applications könyvtárban még ott vannak a hiányolt desktop fájlok, míg a kép jobb oldalán az újabb wine 5.1_v3.2 telepítő csomagjából ez már hiányzik! Az újabb, wine_5.9_v3.1pet csomagban sincsenek desktop fájlok! - ezeket utólag kézzel kell pótolni, és hozzáadni a futtató puppy verzióhoz.
Nem szükséges minden desktop fájlt bemásolni, elég csak a legszükségesebbeket bemásolni a megfelelő helyre a futtató puppy verzióban.
Minimum ez a három desktop fájl kell a puppy menüjéhez:
wine-config.desktop
wine-controll.desktop
wine-uninstaller.desktop
ezekkel már el lehet a puppy rendszer menüjéből indulni, dolgozni.
Ez a BullSeye puppy menüjében így néz ki nálam:
Kép
Remélem, hogy ticoo1 új Bullseye verziójában ez az említett wine-telepítő hiányosság már javítva van, és nem utólag kell azt a felhasználónak megtennie.

ticoo1
Hozzászólások: 550
Csatlakozott: 2014.10.21. 08:58

Re: SK Woof-CE puppy-k (saját készítésű)

Hozzászólás Szerző: ticoo1 »

Kedves NTamas!

Köszönöm szépen az észrevételt, de szeretném megemlíteni, hogy a ...T2... esetében a a winecfg (stb.) az asztalon található a beállítás kedvéért.

Ugyanakkor, ha valaki szeretné a wine kezelését, eszközeit a menüből elérni, akkor célszerű telepítenie a repónkon megtalálható "wine_extras-v2... pet csomagot, s máris rendelkezésére állnak a "desktop" fájlok a menüben.

Itt: https://sourceforge.net/projects/puppys ... Wine32-64/

Abban teljesen igazad van, hogy az újabb wine többet igényel, de melyik új program nem?

NTamas
Hozzászólások: 1712
Csatlakozott: 2014.06.19. 13:36

Re: SK Woof-CE puppy-k (saját készítésű)

Hozzászólás Szerző: NTamas »

ticoo1 írta:
2020.08.02. 05:07
Köszönöm szépen az észrevételt, de szeretném megemlíteni, hogy a ...T2... esetében a a winecfg (stb.) az asztalon található a beállítás kedvéért.

Ugyanakkor, ha valaki szeretné a wine kezelését, eszközeit a menüből elérni, akkor célszerű telepítenie a repónkon megtalálható "wine_extras-v2... pet csomagot, s máris rendelkezésére állnak a "desktop" fájlok a menüben.
Kedves ticoo1!
Azt nem is gondoltam hogy a desktop fájlokat még külön csomagba téve keressem a tárolóban, hiszen eddig ez minden régebbi wine telepítő tartozéka volt. (az újabb wine verzióból én már csak az előbb fent említett két verziót próbáltam, mást nem, mivel nem volt rá szükségem)
Szóval, ha most kivették és külön extra filében vannak a desktop filék, azért még a fő wine telepítőbe azért még betehették volna a fent említett három minimális desktop fájlt a könnyű(egyszerűbb) kezelhetőség miatt. És akkor nem kellett volna neked külön asztali linket (gyártani)kitenni a desktopra a win.cfg-hez, amit amúgy alig használunk, maximum a telepítés utáni első indításkor, utána már nem sok szükség van rá, ha jól be van lőve a wine.
Viszont a wine-controll-ra, és külön a wine -uninstall-ra sokkal nagyobb szükség van a wine használatakor,
Kép
így igazából azok is megérdemeltek volna tőled egy külön linket a Bullseye desktopjára.(vagy a három említett desktop filét a rendszerbe betéve, menüből indítható lett volna, megtakarítva ezzel a felesleges asztali linket. DE! - ez csak az én szigorúan magánvéleményen, ezért nem szabad megsértődni, eleve nem annak szántam!)

A méret, hát igen, ebben neked sajnos igazad van, minden újdonság vonzza magával annak egyre nagyobb méretét. De azért arra kíváncsi lennék, hogy pl. kros54 fórumtársunk, -akinek köztudottan egyik kedvenc windowsos programja(nem véletlenül!) az általam is favorizált RadioSure program- ha meglátja, hogy az újabb wine-k mekkora + tárhelyet igényelnek, lehet, hogy inkább áttér majd a sima linuxos rádióprogram(ok) használatra, ismerve az ő nagyméretű puppy verziók iránti ellenszenvét, ami eleve nem a nagyméretű puppy-k készítőjének szól, hanem inkább a megnövekedett (sokszor teljesen feleslegesen) méretek az ellenszenv oka.

janugsa
Hozzászólások: 458
Csatlakozott: 2014.06.28. 00:17

Re: SK Woof-CE puppy-k (saját készítésű)

Hozzászólás Szerző: janugsa »

Irodai verzió. Ticoo1.
A tűzfalikon zöld lesz, de a setupja közben a sárga ablakban „failed"-eket
ír ki nálam.

2 magos a gépem, de az smtube vlc-vel mpv-vel nagyon leterheli a gépemet 720p-ben. A hagyományos gnome-mplayer feleannyira.Nem szokott ilyen különbség lenni. Igaz én qt4-el szoktam használni.

Japán letöltés a legtöbb ezen a puppyn. Mivel magyar kiadás, a billentyűzet automatikusan magyar lesz minden indításkor.
Régebben azt írtad, hogy pár nyelvi fordítás fixen magyar, ezért csak magyaroknak ajánlod. Ez még mindig érvényes?
Vagy valahol kiírhatnád hogy töröljék a /root/Startup/1-magyar fájlt aki más billentyűzetet akar használni. Más magyar puppyknál is. Vagy a scriptet átírni , hogy csak Magyarország beállításnál legyen magyar billentyűzet automatikusan.

nocsak
Hozzászólások: 250
Csatlakozott: 2014.09.29. 15:01

Re: SK Woof-CE puppy-k (saját készítésű)

Hozzászólás Szerző: nocsak »

Üdv!

Kis segítséggel szolgálnék azoknak akik kapásból beleesnek abba az alapvető hibába amibe minden átlagfelhasználó esik, amikor Puppy PPM-et használ:

A Puppy PPM nem egyenértékű azon csomagkezelő szolgáltatásokkal mint amilyen az apt és társai. Nincs kimondott naprakész és teljes adatbázis a csomagokról, ezen küzdünk, hogy legyen majd olyan is amibe patentül lesz ilyen adatbázis lánc... de mondhatnám az Alpine Puppy ötletét is, ha épp a repó egységességéből indulnánk ki. Addig marad 3 módszer arra az esetre ha hirtelen tényleg kéne valami a PPM-ből:

1.: Amikor például SSR-t telepítünk, előtte frissítvén a PPM adatbázist, akkor mindenből a legújabb verziót szedi majd le a PPM.
Ilyenkor szarvas hiba az Auto Install legördülőt alapértelmezetten Auto Install-on hagyni, mert fel fogja rakni hiba nélkül az összes friss cuccot hozzá, de a qt5-tel együtt, s az úgy hazavágja a rendszert, hogy búcsút inthetünk a VLC-nek, az SSR-nek és mindennek ami nem kezeli a turmix megoldásokat érthető okokból.

Az első lehetséges megoldás, ha már beleestünk a csapdába, és felraktuk pöccre-koppra az SSR-t, hogy a PPM törlés menüből az összes qt csomagot egyenként auto uninstallal leszedjük. Ezután minden ott folytatódik ahol kell, hiszen frugal módban az sfs eredeti tartalma fixen megmaradt.
Képenyő kép(3).jpg
Képenyő kép(3).jpg (44.65 KiB) Megtekintve 107 alkalommal
Képenyő kép(6).jpg
Képenyő kép(6).jpg (140.63 KiB) Megtekintve 107 alkalommal
2.: Ha már tanultunk a hibából jöhet a jogos kérdés, hogy de akkor hogyan? Nos, először is a legördülőből ahol a telepítő ablak alapértelmezetten van a PPM-ben válasszuk Auto Install helyett, a legalsú legördülő opciót a Download all -t ami leszedi az összes csomagot függönyökkel együtt és letölti őket a /root -ba. Macera, de még mindig jobb egyenként tutira feltenni az összes debet így kivétel az összes qt debet, mint megszívni az első módszerrel.

3.: Tapasztaltabb rókáknak, ott ugyanez játszik mint a 2. esetben, csak ezt a manővert már undeb-bel folytatják, erre fórumon rákeresve már van sok bejegyzés melyik ez az undeb hosszú parancs, amivel egy helyre ki lehet csomagolni a szükséges debeket (minden minusz qt-k). Ha ezzel megvagyunk készülhet máris az sfs belőle amiből aztán adrv ydrv stb módon betárazhatjuk őket használatra. Ugyanez az eljárás akkor is, ha más alkalmazás vagy lib-ütközés fordul elő. Terminálból indítva a kívánt alkalmazást, mindig tudunk debugolni. Az ugyanis legtöbb esetben írja a hiányt és az ütközést is.

Szóval ami a Puppy hátránya, azért annak előnye is, hogy az sfs-ekkel nagyon könnyen appimage szerű használatra tehetünk szert, de akár petként is megállják a helyüket. Persze ehhez tapasztalat kell, és sokszor nehéz ügy, mert ez nem 2 perc alatt elsajátítható tudásbázis.

@ticoo1 neked mondom, ez a bullseye én a wine-os dosboxosat szedtem le, nagyon jónak ígérkezik, eddig mindenen átment amit néztem és számomra szükséges, NTamas 5.3.3.2-es LibreOffice-ával komplett rendszert kaptam, és PPM-ből a fent említett módszerrel az mhwaveedit-et is pótolni tudtam, működnek. Az ffmpeg -et de még az ffplay-t is beleértve. Idáig kellemes csalódás ez a Bullseye. A kernel is tip-top, sőt ezen a régi vason tesztelve amúgy is csak 3,3 GB RAM látszódik, tehát simán jó a retro kernel. Azoknak akiknek modernebb eszközeik vannak, feltételezem SSD, azok pupswap.swp-vel addig bővítenek swap méretet ameddig akarnak. És a memóriakorlát is kiterjeszthető. Még részemről tesztelendő a wine és a dosbox, de az egy különálló esemény lesz. De a PPM-mel kapcsolatosan fontosnak tartottam megemlíteni ezeket.

Ja és még valami, windows 10 alatt, hibás iso kiírása pendrive-ra bármely készítő programmal lukra futás lesz, én ebbe bele sem futva tartok fent egy grldr -es fat32-es pendrive-ot, de még a grub4dos letöltéseinél talált grub.exe-s trükk is játszik, erről is írtam már itt a fórumon ahol ha pl easy usb installerrel unlisted iso-ként írjuk ki penre a puppyt, akkor az ldlinux.sys -t egy uui mappába rakja a program. Kell egy syslinux mappa mellé, és abba syslinux.conf és abba alapértelmezett kernelnek nem a linuxot, hanem a grub.exe-t adjuk, berántja a dos-os grub.exe-t Grub4Dos-ként. menu.lst is kell azt vagy a /boot vagy a pen gyökerébe vagy a syslinux mappába kell helyezni.... és mivel a windows 10 tökéletesen csatol fel iso képfájlt automatikusan optikai meghajtóként abból ki tudjuk másolni a puppy fájlokat a psubdir cikkem alapján pedig a menu.lst-be konfigurálni. Szóval ez az oka annak, hogy én sajnos nem veszem észre ha egy iso bootképtelen. Utána win10-ben a meghajtó jelére jobb klikk kiadás és ennyi.

Válasz küldése

Vissza: “Pupletek”